- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 2ae0008a-262d-42b4-90b0-4e7af1b708df
    creation_time: 2023-02-17T12:15:36.270328Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-zilu/benchmark50_linear.c
      input_file_hashes:
        c/loop-zilu/benchmark50_linear.c: 8bfb8cce53c00a8b82b8969cbdd600d135bc6944248cbc447f6bb8b24e87daf0
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-zilu/benchmark50_linear.c
    file_hash: 8bfb8cce53c00a8b82b8969cbdd600d135bc6944248cbc447f6bb8b24e87daf0
    line: 25
    column: 0
    function: main
  loop_invariant:
    string: xa+ya > 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: d3144503-e5a8-4358-b86f-5a6af9dfad60
    creation_time: 2023-02-17T12:15:36.270613Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-zilu/benchmark50_linear.c
      input_file_hashes:
        c/loop-zilu/benchmark50_linear.c: 8bfb8cce53c00a8b82b8969cbdd600d135bc6944248cbc447f6bb8b24e87daf0
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-zilu/benchmark50_linear.c
    file_hash: 8bfb8cce53c00a8b82b8969cbdd600d135bc6944248cbc447f6bb8b24e87daf0
    line: 29
    column: 0
    function: main
  location_invariant:
    string: ya >= 0
    type: assertion
    format: C

